View Issue Details

IDProjectCategoryView StatusLast Update
0004778MediaMonkey 4Otherpublic2008-12-06 16:29
Reporterpetr Assigned To 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version3.1 
Summary0004778: Multi value support enhancements
DescriptionAs far as MediaMonkey supports multi values for specified fields (like Genre, Artist etc.) we need a better support in our UI. Edit boxes supports auto completion only for first value so adding more than one value isn't much user friendly.
Solution could be to add support for auto completion for more than one value separated by separator we're using ( it's ; char for now, but will be customizable in future). How auto completion should work (for Genre for example) :

User will starts with typing ... will type R char = MM will complete to Rock ('ock' will be selected).
When user will finalize first value and will type separator and begins to type next genre ... will type P (complete genre text will look 'Rock;P') and MM will automatically complete second value as Pop ('op' will be selected).
TagsNo tags attached.
Fixed in build1185

Activities

petr

2008-07-10 01:25

developer   ~0014338

Will be in 1185

stephen_platt

2008-12-04 03:15

developer   ~0015341

Verified 1199